local createCompositionchea = nil
---------------------------------------------------------------------------------------
local PREFIX_PATH = "data/Texture/Scenes/05_office/main/anim/chair/"
---------------------------------------------------------------------------------------
function Loader_05_Chair_Animations(parent)
	return CreateAnimationLoadingRoutine(parent, PREFIX_PATH,
		{
    			CreateCompositionLoader(createCompositionchea,		                'chair',		        0,0, 2, 512,384, false),
		},
		{
			function (element, textureName)
			end,
		});
end
---------------------------------------------------------------------------------------
createCompositionchea = function()
	local compositionchea = CreateCompositionSequence()
	local compositionDuration = 1.20833333333333
	compositionchea:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."layer_stul_1.png")
	element:SetName("Layer_1")
	compositionchea:AddElement(element)
	element:SetHotSpot(3.5, 74.5)
	element:SetParentElement(compositionchea)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1.20833333333333)
	effector:SetKey(_TRACK_X, 0, 605.5)
	effector:SetKey(_TRACK_Y, 0, 542.5)
	effector:SetKey(_TRACK_X, 0.25, 515.5)
	effector:SetKey(_TRACK_Y, 0.25, 588.5)
	effector:SetKey(_TRACK_SX, 0, 1.00521371187276)
	effector:SetKey(_TRACK_SY, 0, 1.1808088931333)
	effector:SetKey(_TRACK_SX, 0.25, 1)
	effector:SetKey(_TRACK_SY, 0.25, 1)
	effector:SetKey(_TRACK_A, 0, -1.640609495)
	effector:SetKey(_TRACK_A, 0.25, 0)
	effector:SetKey(_TRACK_A, 0.29166666666667, -0.034906585)
	effector:SetKey(_TRACK_A, 0.41666666666667, 0)
	effector:SetKey(_TRACK_O, 0.08333333333333, 0)
	effector:SetKey(_TRACK_O, 0.25, 1)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."layer_stul_2.png")
	element:SetName("Layer_2")
	compositionchea:AddElement(element)
	element:SetHotSpot(86.3636363636364, 124.225352112676)
	element:SetParentElement(compositionchea)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1.20833333333333)
	effector:SetKey(_TRACK_X, 0, 599)
	effector:SetKey(_TRACK_Y, 0, 541)
	effector:SetKey(_TRACK_X, 0.25, 518)
	effector:SetKey(_TRACK_Y, 0.25, 580)
	effector:SetKey(_TRACK_SX, 0, 1)
	effector:SetKey(_TRACK_SY, 0, 1)
	effector:SetKey(_TRACK_SX, 0.25, 0.77273266553153)
	effector:SetKey(_TRACK_SY, 0.25, 1.01903899016527)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.25, 1.6462941560623)
	effector:SetKey(_TRACK_A, 0.29166666666667, 1.55749300288192)
	effector:SetKey(_TRACK_A, 0.33333333333333, 1.6462941560623)
	effector:SetKey(_TRACK_O, 0.16666666666667, 1)
	effector:SetKey(_TRACK_O, 0.25, 0)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."sm1_1.png")
	element:SetName("Layer_3")
	compositionchea:AddElement(element)
	element:SetHotSpot(92, 71.5)
	element:SetParentElement(compositionchea)
	element:SetXY(573, 571)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.08333333333333, 1.20833333333333)
	effector:SetKey(_TRACK_SX, 0.083349609375, 0.380434)
	effector:SetKey(_TRACK_SY, 0.083349609375, 0.21350070496241)
	effector:SetKey(_TRACK_SX, 1.16668294270833, 2)
	effector:SetKey(_TRACK_SY, 1.16668294270833, 1.40648360030511)
	effector:SetKey(_TRACK_O, 0.083349609375, 0)
	effector:SetKey(_TRACK_O, 0.333349609375, 0.47)
	effector:SetKey(_TRACK_O, 1.16668294270833, 0)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."ten.png")
	element:SetName("Layer_4")
	compositionchea:AddElement(element)
	element:SetHotSpot(11, 11)
	element:SetParentElement(compositionchea)
	element:SetOpacity(0.7)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1.20833333333333)
	effector:SetKey(_TRACK_X, 0, 553)
	effector:SetKey(_TRACK_Y, 0, 544.5)
	effector:SetKey(_TRACK_X, 0.16666666666667, 572.5)
	effector:SetKey(_TRACK_Y, 0.16666666666667, 582)
	effector:SetKey(_TRACK_SX, 0, 10.329594095941)
	effector:SetKey(_TRACK_SY, 0, 4.90248686514885)
	effector:SetKey(_TRACK_SX, 0.16666666666667, 12.1477759141228)
	effector:SetKey(_TRACK_SY, 0.16666666666667, 5.35703231969431)
	effector:Play()
 
	compositionchea:Play()
 
	return compositionchea
end
 
